%define	name	emotion
%define	version 20131105
%define release %mkrel 1
%define realversion 1.7.9

%define major 	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d


Summary: 	Enlightenment video and media library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{realversion}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
# Common
BuildRequires:	libxine-devel
BuildRequires:	ffmpeg-devel
BuildRequires:  gstreamer0.10-ffmpeg 
BuildRequires:	gstreamer0.10-plugins-good
BuildRequires:	libgstreamer-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	libkeyutils-devel
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:	ecore-devel
BuildRequires:	efreet-devel
BuildRequires:	embryo-devel
BuildRequires:	edje-devel


%description
Emotion is a video & media object library designed to interface with Evas and
Ecore to provide autonomous "video" and "audio" objects that can be moved,
resized and positioned like any normal object, but instead they can play video
and audio and can be controlled from a high-level control API allowing the
programmer to quickly piece together a multi-media system with minimal work.

This package is part of the Enlightenment DR17 desktop shell.

%package devel
Summary: Headers and development libraries from %{name}
Group: Development/Libraries
Requires: %name = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description devel
%{name} development headers and libraries

%prep
%setup -q -n %name-%realversion

%build
%configure2_5x --enable-gstreamer --enable-xine --disable-vlc --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}_*
%{_datadir}/%name
%{_libdir}/%name
%_libdir/lib*.so.*
%{_libdir}/edje

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}


%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9
